Package ej.microvg

## Enum VectorGraphicsPainter.Direction

- java.lang.Object
- - java.lang.Enum<VectorGraphicsPainter.Direction>
  - - ej.microvg.VectorGraphicsPainter.Direction

- All Implemented Interfaces:
    `Serializable`, `Comparable<VectorGraphicsPainter.Direction>`
  Enclosing class:
    VectorGraphicsPainter

      public static enum VectorGraphicsPainter.Direction
      extends Enum<VectorGraphicsPainter.Direction>

  Enum for specifying the direction in which a rotation can occur.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLOCKWISE` | Specifies that the direction is the same as a clock's hands.
    `COUNTER_CLOCKWISE` | Specifies that the direction is the opposite as a clock's hands.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VectorGraphicsPainter.Direction` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static VectorGraphicsPainter.Direction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOCKWISE

          public static final VectorGraphicsPainter.Direction CLOCKWISE

      Specifies that the direction is the same as a clock's hands.

    - #### COUNTER_CLOCKWISE

          public static final VectorGraphicsPainter.Direction COUNTER_CLOCKWISE

      Specifies that the direction is the opposite as a clock's hands.

  - ### Method Detail

    - #### values

          public static VectorGraphicsPainter.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VectorGraphicsPainter.Direction c : VectorGraphicsPainter.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VectorGraphicsPainter.Direction valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null